/*
 *
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */

package org.jboss.ejb3.test.regression.ejbthree249.unit;

//import java.rmi.*;


import org.jboss.test.JBossTestCase;
import org.jboss.ejb3.test.regression.ejbthree249.MyRemote;
import junit.framework.Test;

/**
 * Test reentrant remote call.  There was a bug that remoting didn't route locally
 * and the tx propagation was happening when it shouldn't
 *
 * @author <a href="mailto:bill@burkecentral.com">Bill Burke</a>
 * @version $Id: DependenciesUnitTestCase.java,v 1.1.2.3 2005/09/14 22:19:12 bill Exp $
 */

public class DependenciesUnitTestCase
extends JBossTestCase
{
   org.apache.log4j.Category log = getLog();

   static boolean deployed = false;
   static int test = 0;

   public DependenciesUnitTestCase(String name)
   {

      super(name);

   }

   public void testDependencies() throws Exception
   {
      MyRemote remote = (MyRemote)getInitialContext().lookup(MyRemote.class.getName());
      remote.doit();
   }

   public static Test suite() throws Exception
   {
      return getDeploySetup(DependenciesUnitTestCase.class, "regression-ejbthree249-test.ejb3");
   }

}
